Method: projects.locations.mcpServers.list

Deprecated: The mcpServers.list method is deprecated and will be removed in a future release. Use AgentRegistry. mcpServers.list instead. Note: AgentRegistry only lists MCP servers for service APIs that are enabled in a project. For more information, see: https://docs.cloud.google.com/agent-registry/reference/rpc Lists McpServers in a given Project.

HTTP request

GET https://cloudapiregistry.googleapis.com/v1beta/{parent=projects/*/locations/*}/mcpServers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListMcpServersRequest

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, at most 50 items will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression that filters the results. For syntax, see https://google.aip.dev/160.

orderBy

string

Optional. A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. For syntax, see https://google.aip.dev/132#ordering.

Request body

The request body must be empty.

Response body

Deprecated: This resource is no longer supported as mcpServers.list method is deprecated and will be removed in a future release. Use AgentRegistry. mcpServers.list instead. Note: AgentRegistry only lists MCP servers for service APIs that are enabled in a project. For more information, see: https://docs.cloud.google.com/agent-registry/reference/rpc Message for response to listing McpServers

If successful, the response body contains data with the following structure:

JSON representation
{
  "mcpServers": [
    {
      object (McpServer)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
mcpServers[]

object (McpServer)

The list of McpServer

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • cloudapiregistry.mcpServers.list

For more information, see the IAM documentation.